org.apache.ignite.internal.processors.cache

## Interface GridCacheAtomicFuture<R>

All Superinterfaces:
  GridCacheFuture<R>, IgniteInternalFuture<R>

All Known Implementing Classes:
  GridDhtAtomicAbstractUpdateFuture, GridNearAtomicAbstractUpdateFuture, GridNearAtomicSingleUpdateFuture, GridNearAtomicUpdateFuture

    public interface GridCacheAtomicFuture<R>
    extends GridCacheFuture<R>

Update future for atomic cache.

### Method Summary

All Methods Instance Methods Abstract Methods
`IgniteInternalFuture<Void>` `completeFuture(AffinityTopologyVersion topVer)` Gets future that will be completed when it is safe when update is finished on the given version of topology.

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheFuture

`duration, futureId, markNotTrackable, onNodeLeft, startTime, trackable`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Method Detail

#### completeFuture

    IgniteInternalFuture<Void> completeFuture(AffinityTopologyVersion topVer)

Gets future that will be completed when it is safe when update is finished on the given version of topology.

Parameters:
  `topVer` - Topology version to finish.
Returns:
  Future or `null` if no need to wait.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020